#
# spec file for package gnome-vfs2 (Version 2.4.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  bonobo-activation bonobo-activation-devel bzip2 cdparanoia fam fam-devel gconf2 gconf2-devel gnome-common gnome-mime-data gpp gtk2-devel-packages intltool libbonobo libbonobo-devel libgpp libjpeg libpng-devel-packages libtiff libxml2 libxml2-devel linc linc-devel openssl openssl-devel orbit2 orbit2-devel pkgconfig popt

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils cdparanoia expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem gnome-mime-data gtk2 gtk2-devel intltool libbonobo libbonobo-devel libjpeg libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel linc linc-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl perl-XML-Parser pkgconfig popt-devel rpm update-desktop-files

Name:         gnome-vfs2
%define prefix	/opt/gnome
%define sysconfdir /etc%{prefix} 
License:      GPL, LGPL
Group:        Development/Libraries/GNOME
Requires:     gnome-mime-data
Requires:     desktop-data
Autoreqprov:  on
Version:      2.4.2
Release:      68.9
Summary:      The GNOME 2.x Desktop Virtual File-System Libraries
URL:          http://www.gnome.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gnome-vfs/gnome-vfs-%{version}.tar.bz2
Source1:      SuSEconfig.gnome-vfs2
Source2:      drives.vfolder-info
PreReq:       filesystem gconf2
Patch:        vfolders.patch
Patch1:       extfs.patch
Patch2:       CAN-2005-0706.diff

%description
GNOME VFS is the GNOME Virtual File System. It is the foundation of the
Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, HTTP,
FTP, and others. It provides a URI-based API, a back-end supporting
asynchronous file operations, a MIME type manipulation library, and
other features.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%package devel
Summary:      Include Files and Libraries mandatory for Development.
Group:        Development/Libraries/GNOME

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
            Elliot Lee <sopwith@redhat.com>
            Miguel de Icaza  <miguel@nuclecu.unam.mx>
            Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%package doc
Summary:      Additional Package Documentation.
Group:        Development/Libraries/GNOME
Requires:     %{name} = %{version}-%{release}

%description doc
GNOME VFS is the GNOME virtual file system. It is the foundation for
the Nautilus file manager. It provides a modular architecture and ships
with several modules that implement support for file systems, HTTP,
FTP, and more. It provides a URI-based API, a back-end that supports
asynchronous file operations, a MIME type manipulation library, and
other features.



Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Miguel de Icaza  <miguel@nuclecu.unam.mx>
    Maciej Stachowiak <mjs@eazel.com>
    Darin Adler <darin@bentspoon.com>
    John Sullivan <sullivan@eazel.com>
    Pavel Cisler <pavel@eazel.com>
    Gene Ragan <gzr@eazel.com>
    Rebecca Schulman <rebecka@eazel.com>
    Seth Nickel <seth@eazel.com>
    Ian McKellar <yakk@yakk.net.au>
    Michael Meeks <michael@ximian.com>
    Dan Winship  <danw@ximian.com>
    Mathieu Lacage  <mathieu@eazel.com>

%prep
%setup -q -n gnome-vfs-%{version}
%patch -p1
%patch1
%patch2 -p1

%build
libtoolize --force
aclocal -I /opt/gnome/share/aclocal/gnome2-macros
automake --add-missing --copy
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing " \
  ./configure --prefix=%prefix \
	--libdir=%prefix/%_lib \
	--mandir=%{_mandir} \
	--sysconfdir=%{sysconfdir}
make  

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib
make  install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/network
touch $RPM_BUILD_ROOT%{sysconfdir}/gnome-vfs-2.0/vfolders/suse-menu.vfolder-info $RPM_BUILD_ROOT%{sysconfdir}/gnome-vfs-2.0/vfolders/yast-settings.vfolder-info
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install %{S:1} $RPM_BUILD_ROOT/sbin/conf.d
install %{S:2} $RPM_BUILD_ROOT%{sysconfdir}/gnome-vfs-2.0/vfolders/drives.vfolder-info
%find_lang gnome-vfs-2.0

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/system_http_proxy.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_default_applications.schemas >/dev/null
 

%postun
%run_ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT

%files  -f gnome-vfs-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/%_lib/bonobo/servers/GNOME_VFS_Moniker_std.server
%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.so
%config %dir %{sysconfdir}/gnome-vfs-2.0
%config %{sysconfdir}/gnome-vfs-2.0/modules
%config %dir %{sysconfdir}/gnome-vfs-2.0/vfolders
%config %{sysconfdir}/gnome-vfs-2.0/vfolders/[a-p]*.vfolder-info
%config %{sysconfdir}/gnome-vfs-2.0/vfolders/start-here.vfolder-info
%config %{sysconfdir}/gnome-vfs-2.0/vfolders/s*-settings.vfolder-info
%ghost %{sysconfdir}/gnome-vfs-2.0/vfolders/suse-menu.vfolder-info
%ghost %{sysconfdir}/gnome-vfs-2.0/vfolders/yast-settings.vfolder-info
%dir %{prefix}/%_lib/gnome-vfs-2.0
%dir %{prefix}/%_lib/gnome-vfs-2.0/modules
%{prefix}/%_lib/gnome-vfs-2.0/modules/*.so
%{prefix}/%_lib/vfs
%{prefix}/%_lib/libgnomevfs-2.so*
%{sysconfdir}/gconf/schemas/system_http_proxy.schemas
%{sysconfdir}/gconf/schemas/desktop_default_applications.schemas
%dir %{prefix}/share/gnome/network
/sbin/conf.d/SuSEconfig.*

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/bonobo/monikers/libmoniker_gnome_vfs_std.*a
%{prefix}/%_lib/gnome-vfs-2.0/modules/*a
%{prefix}/include/*
%{prefix}/%_lib/gnome-vfs-2.0/include
%{prefix}/%_lib/libgnomevfs-2*a

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/gnome-vfs-2.0

%changelog -n gnome-vfs2
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed buffer overflow in CDDB code (#72397, CAN-2005-0706).
* Tue Nov 16 2004 - sbrabec@suse.cz
- Replaced insecure old extfs modules by fixed modules from mc,
  fixed the rest (CAN-2004-0494, CRD: 04.08.2004) (#43152).
* Tue Apr 20 2004 - adrian@suse.de
- unbreak SLES, require desktop-data instead of desktop-data-SuSE
* Mon Apr 05 2004 - sbrabec@suse.cz
- Fixed error message in SuSEconfig (#36270).
* Fri Mar 19 2004 - hhetter@suse.de
- included drive:// location for /var/lib/Desktop handling
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add missing %%defattr
* Wed Oct 29 2003 - sbrabec@suse.cz
- Fixed files listed twice.
* Mon Oct 27 2003 - sbrabec@suse.cz
- Auto-generated marked files as %%ghost.
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Fri Oct 24 2003 - sbrabec@suse.cz
- Defined new URL providers - suse-menu:// and yast-settings://.
- Added SuSEconfig script for generating SuSE menu vfolder-info menu
  from XDG menu file.
* Mon Oct 06 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Fri Sep 19 2003 - hhetter@suse.de
- vfolder definition update
* Tue Sep 16 2003 - sbrabec@suse.cz
- Fixed "mtime on copy from CD-ROM" problem
  (http://bugzilla.gnome.org/show_bug.cgi?id=117762).
* Tue Sep 16 2003 - hhetter@suse.de
- vfolder definition update
* Wed Sep 10 2003 - hhetter@suse.de
- vfolder definition update
- fix wrong allocated "more" folders
- fix double entries
* Mon Sep 08 2003 - hhetter@suse.de
- vfolder definition update (fix settings)
* Thu Sep 04 2003 - hhetter@suse.de
- vfolder definition renewal
* Fri Aug 29 2003 - hhetter@suse.de
- vfolder definition update
* Mon Aug 25 2003 - hhetter@suse.de
- introduce suse vfolder definition
* Wed Jul 23 2003 - hhetter@suse.de
- fix build for libmoniker_std.so
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jun 23 2003 - sbrabec@suse.cz
- Created empty directory for network shares.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Directory packaging fix.
- Prefix clash fix.
* Tue May 27 2003 - sbrabec@suse.cz
- Updated to version 2.2.5.
* Mon May 26 2003 - sbrabec@suse.cz
- Do not provide gnvfs/gnvfsd (needed by new RPM).
* Wed Mar 05 2003 - sbrabec@suse.cz
- Added bzip2 and fam-devel to neededforbuild.
* Tue Feb 11 2003 - sbrabec@suse.cz
- Updated to version 2.2.1 (fixes theme-manager issues).
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 2.2.0
* Wed Jan 15 2003 - hhetter@suse.de
- updated to version 2.1.91
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.4.0.1 [GNOME 2.0.3]
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Aug 20 2002 - hhetter@suse.de
- add PreReq: filesystem [#17861]
* Thu Aug 15 2002 - hhetter@suse.de
- require gnome-mime-data (#17738)
- branch doc package
* Fri Aug 09 2002 - hhetter@suse.de
- updated to version 2.0.2
- added openssl to neededforbuild
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Thu Jun 27 2002 - hhetter@suse.de
- updated to version 2.0.1 (gnome 2 final)
  * create ~.gnome if it does not exist
- provide schemas
- fix filelist
* Tue Jun 18 2002 - meissner@suse.de
- for FAM we need libstdc++-devel (for the .la file)
* Tue Jun 18 2002 - hhetter@suse.de
- build with FAM support
* Wed Jun 12 2002 - hhetter@suse.de
- updated to version 2.0.0
* Tue Jun 11 2002 - ro@suse.de
- fix libdir usage for modules/extfs
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 1.9.17
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.9.16, source frozen
* Tue May 14 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- use LIBRARY_PATH
- update to version 1.9.11 [gnome2 desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.9.5 [gnome desktop alpha2]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Wed Jan 09 2002 - hhetter@suse.de
- added gnome-vfs-module-2.0.pc to the filelist of the
  devel package
* Wed Jan 09 2002 - hhetter@suse.de
- initial SuSE Package for GNOME 2.0 platform
